package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.ClientLoginLogPO;
import mhp.oee.po.gen.ClientLoginLogPOExample;

public interface ClientLoginLogPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table client_login_log
     *
     * @mbggenerated
     */
    int countByExample(ClientLoginLogPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table client_login_log
     *
     * @mbggenerated
     */
    int deleteByExample(ClientLoginLogPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table client_login_log
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table client_login_log
     *
     * @mbggenerated
     */
    int insert(ClientLoginLogPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table client_login_log
     *
     * @mbggenerated
     */
    int insertSelective(ClientLoginLogPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table client_login_log
     *
     * @mbggenerated
     */
    List<ClientLoginLogPO> selectByExample(ClientLoginLogPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table client_login_log
     *
     * @mbggenerated
     */
    ClientLoginLogPO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table client_login_log
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ClientLoginLogPO record, @Param("example") ClientLoginLogPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table client_login_log
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ClientLoginLogPO record, @Param("example") ClientLoginLogPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table client_login_log
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(ClientLoginLogPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table client_login_log
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(ClientLoginLogPO record);
}